Create Customer
POST /customers
You can create a new customer by providing any of the following fields:
| Property | Type | Description |
|---|---|---|
firstName | string | First name of customer |
lastName | string | Last name of customer |
email | string | Email of customer |
phone | string | Phone number of customer |
phoneCountryCode | string | ISO Country code of phone number |
memberNumber | number | Member number of the customer |
address | string | Address of customer |
address2 | string | Address 2 of customer |
postalCode | string | Postal code of customer |
city | string | City of customer |
country | string | ISO Country code of customer |
birthdate | string | Birth date for the customer (YYYY-MM-DD) |
birthyear | number | Birth year if you only have the year |
initials | string | Initials |
gender | string | Gender |
occupation | string | Occupation |
nationality | string | Nationality |
avatar | string (UUIDv4) | Id of the image used for the avatar |
note | string | Note for the customer |
You can also send museum custom customer fields as keys: the field's UUID maps to its value.
initials, gender, occupation, and nationality are stored but not returned on Customer responses.